/*
 * cslr_edma.h
 *
 * Copyright (C) 2009 Texas Instruments Incorporated - http://www.ti.com/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation version 2.
 *
 * This program is distributed "as is" WITHOUT ANY WARRANTY of any
 * kind, whether express or implied; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef _CSLR_EDMA_H_
#define _CSLR_EDMA_H_

#include <cslr_edmacc_001.h>
#include <cslr_edmatc0_001.h>

#define CSL_EDMA_CC_CNT                 1
#define CSL_EDMA_TC0_CNT                1
#define CSL_EDMA_TC1_CNT                1

typedef volatile CSL_EdmaccRegs         *CSL_EdmaccRegsOvly;
typedef volatile CSL_EdmaccShadowRegs   *CSL_EdmaccShadowRegsOvly;
typedef volatile CSL_Edmatc0Regs        *CSL_Edmatc0RegsOvly;

#define CSL_EDMACC_0_REGS               ((CSL_EdmaccRegsOvly)  0x1C00000) 
#define CSL_EDMATC_0_REGS               ((CSL_Edmatc0RegsOvly) 0x1C10000) 

#endif/*_CSLR_EDMA_H_*/

