/*
 * error.h
 * Definitions for error macros
 *
 * Copyright (C) 2009 Texas Instruments Incorporated - http://www.ti.com/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation version 2.
 *
 * This program is distributed "as is" WITHOUT ANY WARRANTY of any
 * kind, whether express or implied; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef _ERROR_H_
#define _ERROR_H_
                     
#define TIMEOUT_COUNT 	10240  
#define SECURE_TIMEOUT 	0xFFFF0000
#define NAND_TIMEOUT 	10240
#define DMA_TIMEOUT 	0xFFFF0000
                     
#define E_PASS     0
#define E_FAIL     1
#define E_TIMEOUT  2

#endif/*_ERROR_H_*/
