/*
 *  Copyright 2007 by Spectrum Digital Incorporated.
 *  All rights reserved.  Property of Spectrum Digital Incorporated.
 */

/*
 *  Linker command file
 *
 */

-l rts32e.lib

-stack          0x00004000      /* Stack Size */
-heap           0x00004000      /* Heap Size */

MEMORY
{
    VECS:       o = 0x00000000  l = 0x00000080
    IRAM:       o = 0x00000080  l = 0x00007f80  /*  32 kBytes */
    DRAM:       o = 0x00010000  l = 0x00008000  /*  32 kBytes */
    DDR2:       o = 0x80000000  l = 0x10000000  /* 256 MBytes */
}

SECTIONS
{
    .bss        >   DDR2
    .cinit      >   DDR2
    .cio        >   DDR2
    .const      >   DDR2
    .stack      >   DDR2
    .sysmem     >   DDR2
    .text       >   DDR2
    .ddr2       >   DDR2
}
